Skip to main content
GET
Get contract documents
You can use this API endpoint to retrieve the list of documents related to a particular contract. This includes pre-payment and settlement invoices. Use download documents to download a single document.
Requires role:application scope or Linked relation on customer level.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

customerNumber
string
required

Customer number

contractNumber
string
required

Contract number

Query Parameters

documentType
enum<string>
default:All

Document type. Default is ALL

Members:

    Available options:
    All,
    PrePayment,
    Settlement,
    ContractConfirmation

    Response

    200 - application/json

    OK

    API response DTO with a list of items.

    isSuccess
    boolean
    read-only

    Success status of the operation based on status code (2xx range).

    Example:

    true

    message
    string | null

    Optional message to provide additional information about the operation result.

    Example:

    null

    error
    object[] | null

    Optional error details in case of an error(s).

    refUri
    string<uri> | null
    read-only

    Optional reference URI to point to the resulting resource.

    data
    object[]

    Returned data instance.

    count
    integer<int32>
    read-only

    Number of items returned in the list.

    Example:

    10

    hasMoreItems
    boolean

    Indicates, whether there are more items to be returned in the list, that are not included in the limit of this request.

    Example:

    true